#include <stdio.h>
#include <stdlib.h>
int main()
{
    int N,K,n[20];
    scanf("%d%d",&N,&K);
    for(int i=0;i<N;i++)
        scanf("%d",&n[i]);
    for(int i=0;i<N;i++)
        if(K==n[i])
        {
            if(i!=N-1)
            printf("%d",n[i+1]);
            else printf("%d",n[0]);
        }
    return 0;
}